%define prever beta8

Name:           openlierox
Version:        0.57
Release:        0.13.%{prever}%{?dist}
Summary:        Addictive realtime multiplayer 2D shoot-em-up
Group:          Amusements/Games
License:        LGPLv2+
URL:            http://openlierox.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/OpenLieroX_%{version}_%{prever}.src.tar.bz2
Source1:        %{name}.desktop
Source2:        README.fedora
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL_mixer-devel SDL_image-devel SDL_gfx-devel gd-devel
BuildRequires:  libxml2-devel hawknl-devel zlib-devel desktop-file-utils
BuildRequires:  libzip-devel
Requires:       hicolor-icon-theme
# for people who try to install this using upstream capitalization
Provides:       OpenLieroX = %{version}-%{release}

%description
OpenLierox is an extremely addictive realtime multiplayer 2D shoot-em-up
backed by an active gamers community. Dozens of levels and mods are available
to provide endless gaming pleasure.


%prep
%setup -q -n OpenLieroX
sed -i 's|test_include_file nl.h|test_include_file hawknl/nl.h|g' compile.sh
sed -i 's/\r//g' doc/original_lx_docs/*.*
cp -a %{SOURCE2} .


%build
export CXXFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/hawknl"
./compile.sh


%install
rm -rf $RPM_BUILD_ROOT
export SYSTEM_DATA_DIR=$RPM_BUILD_ROOT%{_datadir}
export BIN_DIR=$RPM_BUILD_ROOT%{_bindir}
export DOC_DIR=installed-docs
mkdir -p $BIN_DIR
./install.sh

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
install -p -m 644 share/OpenLieroX.svg \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING.LIB README.fedora doc/README doc/original_lx_docs/*
%{_bindir}/%{name}
%{_datadir}/OpenLieroX
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg


%changelog
* Thu Feb 26 2009 Hans de Goede <hdegoede@redhat.com> 0.57-0.13.beta8
- Fix building with bash 4.0

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.57-0.12.beta8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.57-0.11.beta8
- Rebuild for Python 2.6

* Mon Oct 20 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.10.beta8
- New upstream release 0.57beta8

* Sun Mar 16 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.9.beta5
- New upstream release 0.57beta5

* Mon Feb 25 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.8.beta4
- New upstream release 0.57beta4

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.57-0.7.beta3
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.6.beta3
- Rebuild for buildId

* Mon Aug 13 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.5.beta3
- New upstream release 0.57beta3
- Update License tag for new Licensing Guidelines compliance

* Tue Jun 19 2007 Matthias Saou <http://freshrpms.net/> 0.57-0.4.beta2
- Rebuild against SDL_gfx 2.0.16.

* Fri Apr 13 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.3.beta2
- New upstream release 0.57beta2

* Thu Mar 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.2.beta1
- Various specfile fixes from review (bz 232071)
- Source instead of execute the bash scripts to avoid umask problems

* Mon Mar 12 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.57-0.1.beta1
- Initial Fedora Extras package
